Subject: bug#22399: org-mode fontification

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 Jan 2016 08:06:29 -0500

>> I see the problem.  org-src-font-lock-fontify-block is using buffers
>> named " org-src-fontification:<major-mode>" in an unusual way:
>> they're updated via normal buffer modifications, but they're not put in
>> font-lock-mode, so all the font-lock machinery which tries to keep the
>> fontification up-to-date is short-circuited, so it triggers a bug in
>> font-lock-ensure where we made incorrect assumptions.
>> I installed the patch below into emacs-25, which should fix this
>> problem,
> Thank you.  That seems to work nicely.
> Is there anything else I need to do for the first patch?

No, it's good to go.  If you don't have commit rights, I can install it
for you into emacs-25, unless the Org guys prefer to do it via the
Org tree.

        Stefan